## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global         srcname     guest-configs
%global         dracutlibdir %{_prefix}/lib/dracut

Name:           google-compute-engine-guest-configs
Version:        20241205.00
Release:        %autorelease
Summary:        Google Compute Engine guest environment tools
License:        Apache-2.0
URL:            https://github.com/GoogleCloudPlatform/%{srcname}
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz

ExcludeArch:    %{ix86}
BuildArch:      noarch

Requires:       dracut

BuildRequires:  systemd-rpm-macros

Obsoletes:      google-compute-engine-tools < 2.8.12-11
Provides:       google-compute-engine-tools = 2.8.12-11
Provides:       google-compute-engine = %{version}-%{release}

Requires:       %name-rsyslog = %version-%release
Requires:       %name-udev = %version-%release

%description
This package contains scripts, configuration, and init files for features
specific to the Google Compute Engine cloud environment.


%package rsyslog
Summary:        rsyslog configuration for %{name}
Requires:       rsyslog

%description rsyslog
The %{name}-udev package contains
rsyslog configuration which are specific to the Google Cloud Platform.


%package udev
Summary:        udev rules for %{name}
Requires:       nvme-cli
Requires:       coreutils

%description udev
The %{name}-udev package contains udev rules
which are specific to the Google Cloud Platform.


%prep
%autosetup -p1 -n %{srcname}-%{version}

# Remove APT configs (for Debian and Ubuntu).
rm -rf src/etc/apt
# Remove script for EL6.
rm -f  src/sbin/google-dhclient-script

# Move dracut and modprobe.d from /etc to /usr/lib to allow
# user to put modifications in /etc that will be retained
# after update.
# https://bugzilla.redhat.com/show_bug.cgi?id=1925323
mkdir -p src/usr/lib/dracut
mv src/etc/dracut.conf.d src/usr/lib/dracut
mv src/etc/modprobe.d src/usr/lib

%build


%install
cp -vpR                     src/{etc,usr}                   %{buildroot}
install -m 0755 -vdp        %{buildroot}%{_udevrulesdir}
cp -vp                      src/lib/udev/rules.d/*          %{buildroot}%{_udevrulesdir}
cp -vp                      src/lib/udev/google_nvme_id     %{buildroot}%{_udevrulesdir}/../
# dracut module for udev package
install -m 0755 -vdp %{buildroot}%{dracutlibdir}/modules.d/30gcp-udev-rules
cp -vp  src/lib/dracut/modules.d/30gcp-udev-rules/module-setup.sh %{buildroot}%{dracutlibdir}/modules.d/30gcp-udev-rules/


%files
%license LICENSE
%doc README.md
%attr(0755,-,-) %{_bindir}/gce-nic-naming
%attr(0755,-,-) %{_bindir}/google_optimize_local_ssd
%attr(0755,-,-) %{_bindir}/google_set_hostname
%attr(0755,-,-) %{_bindir}/google_set_multiqueue
%attr(0755,-,-) /etc/dhcp/dhclient.d/google_hostname.sh
%{_prefix}/lib/dracut/dracut.conf.d/gce.conf
%{_prefix}/lib/modprobe.d/gce-blacklist.conf
%{_prefix}/lib/networkd-dispatcher/routable.d/google_hostname.sh
%{_sysconfdir}/sysconfig/network/scripts/google_up.sh
%{_sysconfdir}/systemd/resolved.conf.d/gce-resolved.conf
%{_sysconfdir}/NetworkManager/dispatcher.d/google_hostname.sh
%config(noreplace) /etc/sysctl.d/60-gce-network-security.conf


%files rsyslog
%license LICENSE
%doc README.md
%config(noreplace) /etc/rsyslog.d/90-google.conf


%files udev
%license LICENSE
%doc README.md
%attr(0755,-,-) %{_udevrulesdir}/../google_nvme_id
%{_udevrulesdir}/65-gce-disk-naming.rules
%{_udevrulesdir}/75-gce-network.rules
%attr(0755,-,-) %{dracutlibdir}/modules.d/30gcp-udev-rules/module-setup.sh


%changelog
## START: Generated by rpmautospec
* Thu Dec 05 2024 Packit <hello@packit.dev> - 20241205.00-1
- Update to 20241205.00 upstream release
- Resolves: rhbz#2319413

* Wed Nov 06 2024 Major Hayden <major@redhat.com> - 20241031.00-2
- Update new files rhbz#2319413

* Sat Nov 02 2024 Packit <hello@packit.dev> - 20241031.00-1
- Update to 20241031.00 upstream release
- Resolves: rhbz#2319413

* Mon Oct 14 2024 Packit <hello@packit.dev> - 20241013.00-1
- Update to 20241013.00 upstream release
- Resolves: rhbz#2317561

* Sun Oct 06 2024 Packit <hello@packit.dev> - 20241004.00-1
- Update to 20241004.00 upstream release
- Resolves: rhbz#2316407

* Thu Sep 26 2024 Major Hayden <major@redhat.com> - 20240925.00-2
- Add google_up.sh script

* Thu Sep 26 2024 Packit <hello@packit.dev> - 20240925.00-1
- Update to 20240925.00 upstream release
- Resolves: rhbz#2314983

* Mon Sep 09 2024 Major Hayden <major@redhat.com> - 20240905.00-1
- Update to 20240905.00 rhbz#2310624

* Mon Sep 02 2024 Packit <hello@packit.dev> - 20240830.00-1
- Update to 20240830.00 upstream release
- Resolves: rhbz#2309070

* Mon Aug 05 2024 Major Hayden <major@redhat.com> - 20240725.00-1
- Update to 20240726.00 rhbz#2300182

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20240607.00-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 10 2024 Major Hayden <major@redhat.com> - 20240607.00-2
- Adjust packaging for 20240607.00 rhbz#2291034

* Sat Jun 08 2024 Packit <hello@packit.dev> - 20240607.00-1
- Update to 20240607.00 upstream release
- Resolves: rhbz#2291034

* Thu May 02 2024 Major Hayden <major@redhat.com> - 20240501.00-1
- Update to 20240501.00 rhbz#2278572

* Wed Apr 10 2024 Major Hayden <major@redhat.com> - 20240307.00-1
- Update to 20240307.00 rhbz#2274181

* Wed Apr 10 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20240119.00-2
- Unretirement Releng Request: https://pagure.io/releng/issue/12055

* Tue Jan 23 2024 Packit <hello@packit.dev> - 20240119.00-1
- [packit] 20240119.00 upstream release
- Resolves rhbz#2257550

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20231214.00-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 15 2023 Packit <hello@packit.dev> - 20231214.00-1
- [packit] 20231214.00 upstream release
- Resolves rhbz#2254715

* Tue Dec 05 2023 Major Hayden <major@redhat.com> - 20231103.00-3
- Remove dhcp-client requires rhbz#2251746

* Mon Nov 06 2023 Major Hayden <major@mhtx.net> - 20231103.00-2
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
